var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import "@material/mwc-button";
import { connect } from 'pwa-helpers';
import { Store } from "../../redux";
import "../CardanoConnectWalletComponent/CardanoConnectWalletComponent";
import { html, LitElement } from "lit";
import { customElement, property } from 'lit/decorators.js';
let CardanoConnectWalletButton = class CardanoConnectWalletButton extends connect(Store)(LitElement) {
    constructor() {
        super(...arguments);
        this.open = false;
        this.noWalletMessage = "Please install a d-app wallet";
        this.defaultConnect = "Connect";
        this.bech32 = true;
        this.buttonArgs = {};
        this.menuArgs = {};
        this.updateMenu = () => {
            const menu = this.renderRoot.querySelector('#menu');
            menu.open = true;
        };
    }
    firstUpdated() {
        const menu = this.renderRoot.querySelector('#menu');
        const button = this.renderRoot.querySelector('#loader');
        for (const [key, value] of Object.entries(this.buttonArgs)) {
            button?.setAttribute(key, String(value));
        }
        for (const [key, value] of Object.entries(this.menuArgs)) {
            menu?.setAttribute(key, value);
        }
        menu.anchor = button;
    }
    render() {
        return html `
    <div style="position : relative!important;">
        <mwc-button @click=${this.updateMenu} id="loader" ${{ ...this.buttonArgs }}>${this.defaultConnect}</mwc-button>
        <cardano-connect-wallet-component 
          activatable 
          corner="BOTTOM_START" 
          id="menu" 
          noWalletMessage=${this.noWalletMessage} 
          bech32=${this.bech32}
        >
        </cardano-connect-wallet-component>
    </div>`;
    }
};
__decorate([
    property({ type: String })
], CardanoConnectWalletButton.prototype, "noWalletMessage", void 0);
__decorate([
    property({ type: String })
], CardanoConnectWalletButton.prototype, "defaultConnect", void 0);
__decorate([
    property({ type: Boolean })
], CardanoConnectWalletButton.prototype, "bech32", void 0);
__decorate([
    property({ type: Object })
], CardanoConnectWalletButton.prototype, "buttonArgs", void 0);
__decorate([
    property({ type: Object })
], CardanoConnectWalletButton.prototype, "menuArgs", void 0);
CardanoConnectWalletButton = __decorate([
    customElement('cardano-connect-wallet-button')
], CardanoConnectWalletButton);
export { CardanoConnectWalletButton };
