var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { connect } from 'pwa-helpers';
import { customElement, property } from 'lit/decorators.js';
import { Menu } from '@material/mwc-menu';
import '@material/mwc-list/mwc-list-item';
import { Store } from '../../redux';
import { update } from '../../redux/cardanoWallet/actions';
import { loadDefaultStylesheets } from '../helper/loadStyle';
import { html } from 'lit';
import { setWallet } from "../../redux/cardanoWallet/actions";
let CardanoConnectWalletComponent = class CardanoConnectWalletComponent extends connect(Store)(Menu) {
    constructor() {
        super();
        this.firstInitialized = true;
        this.isWalletUpdated = false;
        this.walletInfo = [];
        this.walletCache = "";
        this.cachedWalletInfo = {};
        this.bech32 = true;
        this.noWalletMessage = "Please install a d-app wallet";
        this.clickHandler = () => {
            const setWalletValue = async () => {
                this.isWalletUpdated = false;
                await Promise.resolve(Store.dispatch(setWallet(this.convertType(super.selected).value)));
                this.isWalletUpdated = true;
                await Promise.resolve(Store.dispatch(update(this.bech32)));
            };
            setWalletValue();
        };
        this.convertType = (value) => {
            if (value.value !== 'undefined') {
                return value;
            }
            throw new Error('Cardano API does allow selecting more than one wallet. Please disable multi mode.');
        };
        loadDefaultStylesheets();
        super.onclick = this.clickHandler;
    }
    stateChanged(state) {
        if (typeof state.reducer.walletInfo !== "undefined" && this.firstInitialized == true) {
            this.firstInitialized = false;
            var slots = '';
            if (state.reducer.length != 0) {
                state.reducer.walletInfo.forEach((walletInfo) => {
                    slots = slots + `<mwc-list-item group="wallets" value=${walletInfo["windowName"]} graphic="icon"><image src="${walletInfo["icon"]}" style='height: 100%; width: 100%; object-fit: contain' slot='graphic'></image><span>${walletInfo["name"]}</span></mwc-list-item>`;
                });
            }
            if (state.reducer.walletInfo.length === 0) {
                slots = `<mwc-list-item disabled><span>${this.noWalletMessage}</span></mwc-list-item>`;
            }
            super.innerHTML = super.innerHTML + slots;
            super.render();
        }
        if (state.reducer.selectedWallet != this.walletCache && typeof state.reducer.selectedWallet != "undefined" && this.isWalletUpdated == true) {
            this.walletCache = state.reducer.selectedWallet;
            this.cachedWalletInfo = state.reducer.walletInfo.find((s) => {
                if (s?.windowName == this.walletCache) {
                    return {
                        ...s
                    };
                }
            }) ?? {};
            this._eventHandler({
                wallet: this.cachedWalletInfo ?? "",
                changeAddress: state.reducer.changeAddress ?? [],
                rewardAddresses: state.reducer.rewardAddresses ?? [],
                unusedAddresses: state.reducer.unusedAddresses ?? [],
                usedAddresses: state.reducer.usedAddresses ?? [],
            });
        }
    }
    render() {
        return html `
      ${super.render()}
    `;
    }
    _eventHandler(state) {
        const connection = new CustomEvent('state', {
            detail: state,
            bubbles: true,
            composed: true
        });
        this.dispatchEvent(connection);
    }
};
__decorate([
    property({ type: Boolean })
], CardanoConnectWalletComponent.prototype, "bech32", void 0);
__decorate([
    property({ type: String })
], CardanoConnectWalletComponent.prototype, "noWalletMessage", void 0);
CardanoConnectWalletComponent = __decorate([
    customElement('cardano-connect-wallet-component')
], CardanoConnectWalletComponent);
export { CardanoConnectWalletComponent };
