export declare const CARDANO_WALLET: {
    CONNECTED: string;
    ADDRESSES: string;
    STAKE: string;
    SEND: string;
    INITALIZE: string;
    CHANGE_WALLET: string;
    GET_WALLET_INFO: string;
};
export declare const API: {
    _loaded: boolean;
    readonly loaded: any;
    load(): void;
    _wallet: any;
    readonly wallet: any;
    setWallet(wallet: string): Promise<void>;
    _wallets: string[];
    wallets: string[];
    _serializationLib: typeof import("@emurgo/cardano-serialization-lib-asmjs") | undefined;
    serializationLib: typeof import("@emurgo/cardano-serialization-lib-asmjs");
    _onchainData: import("bazel-out/k8-fastbuild/bin/packages/cardano-api/src/OnchainData/AbstractOnchainData").abstractOnchainData | undefined;
    onchainData: import("bazel-out/k8-fastbuild/bin/packages/cardano-api/src/OnchainData/AbstractOnchainData").abstractOnchainData;
    buffer: BufferConstructor;
    _addressReturnType: {
        hex: string;
        bech32: string;
    };
    readonly addressReturnType: {
        hex: "string";
        bech32: "string";
    };
    baseCommands: {
        isEnabled: () => Promise<Boolean>;
        enable: () => Promise<Object | Boolean>;
        getUnusedAddresses: (type?: string | undefined) => Promise<string[]>;
        getUsedAddresses: (type?: string | undefined) => Promise<string[]>;
        getChangeAddress: (type?: string | undefined) => Promise<string>;
        getRewardAddresses: (type?: string | undefined) => Promise<string[]>;
        getUtxos: (amount?: import("@emurgo/cardano-serialization-lib-asmjs").Value | undefined, paginate?: {
            page: number;
            limit: number;
        } | undefined) => Promise<import("@emurgo/cardano-serialization-lib-asmjs").TransactionUnspentOutput[]>;
        getCollateral: () => Promise<import("@emurgo/cardano-serialization-lib-asmjs").TransactionUnspentOutput>;
        getBalance: () => Promise<import("@emurgo/cardano-serialization-lib-asmjs").Value>;
        getNetworkId: () => Promise<number>;
        signData: (address: import("@emurgo/cardano-serialization-lib-asmjs").BaseAddress | import("@emurgo/cardano-serialization-lib-asmjs").RewardAddress, payload: string) => Promise<string>;
        signTx: (tx: string | import("@emurgo/cardano-serialization-lib-asmjs").Transaction, partialSign?: boolean | undefined) => Promise<string>;
        submitTx: (tx: string | import("@emurgo/cardano-serialization-lib-asmjs").Transaction) => Promise<string>;
    };
    spend: {
        send: ({ address, amount, assets, metadata, metadataLabel }: {
            address: string;
            amount?: number | undefined;
            assets?: {
                unit: string;
                quantity: string;
            }[] | undefined;
            metadata?: object | null | undefined;
            metadataLabel?: string | undefined;
        }) => Promise<string>;
        sendMultiple: ({ recipients, metadata, metadataLabel }: {
            recipients: {
                address: string;
                amount?: number | undefined;
                assets?: {
                    unit: string;
                    quantity: string;
                }[] | undefined;
            }[];
            metadata?: object | null | undefined;
            metadataLabel?: string | undefined;
        }) => Promise<string>;
        delegate: ({ stakepoolId, metadata, metadataLabel, rewardAddress }: {
            stakepoolId: string;
            metadata?: object | null | undefined;
            metadataLabel?: string | undefined;
            rewardAddress?: string | null | undefined;
        }) => Promise<string>;
    };
    getWalletInfo(): import("@chain-lib/cardano-api").WalletInfo[];
    setWallets(): void;
    register(configuration: import("@chain-lib/cardano-api").Configure): Promise<void>;
};
